
function guardarInstruccionesEncuesta242()
{
    var url = '../controllers/Encuesta242Controller.php';
    var $datos = $('#frmInstruccionesEnc242').serialize();
    $.post(url,$datos,
        function (data)
        {
            if(data.type==='success'){
                mostrarMensajeGuardado("Sección de instrucciones guardada", "Se ha registrado con éxito las instrucciones.", "success", "Aceptar")
            }
            else
            {
                mostrarMensajeGuardado("Sección de instrucciones guardada", "No se ha registrado con éxito las instrucciones.", "error", "Aceptar")
            }
            document.getElementById("iniciarEnceusta").disabled=false;
            $("#iniciarEnceusta").html('<i class="fa fa-5x fa-copy"></i>Realizar Encuesta');
            ligaRedirect ="https://tiempo-mandarina.org/registro/controllers/Encuesta242Controller.php?token="+data.token+"&opc="+data.opc;
        }, 'json');
}

function mostrarMensajeGuardado(titulo,texto,icon,button)
{
    Swal.fire({
        title: titulo,
        html: texto,
        icon: icon,
        confirmButtonColor: '#3085d6',
        confirmButtonText: '<i class="fa fa-close"> '+button,
        willClose: () => {
            if(ligaRedirect!="")
            {
                window.location=ligaRedirect;
            }
        }
    }).then((result) => {
        if (result.isConfirmed) {
            if(ligaRedirect!="")
            {
                window.location=ligaRedirect;
            }
        }
    })
}